Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155993 - 'gv' gone from the search path breaks existing scripts and expectations
Summary: 'gv' gone from the search path breaks existing scripts and expectations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gsview
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 14:49 UTC by R P Herrold
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 15:06:18 UTC


Attachments (Terms of Use)

Description R P Herrold 2005-04-26 14:49:05 UTC
The elimination of 'gv' from the search path breaks prior expectation.  This
patch adds the needed courtesy link to avoid breaking expectation and the
principle of 'least surprise'.

Dunno if thre is a 'new and improved 'gv' on the horizon, but ggv is clearly not
is, from a performance and feature standpoint.  If this is the plan, gsview and
ggv integration with 'alternatives' is needed. 

[herrold@centos-4 SPECS]$ diff gsview-old.spec gsview.spec
6c6
< Release: 10
---
> Release: 11orc
66a67
> ln -s %{_bindir}/gsview $RPM_BUILD_ROOT%{_bindir}/gv
96a98,101
> * Tue Apr 26 2005 R P Herrold <info#owlriver.com>  4.6-11orc
> - remove silent Epoch in changelog versioning,
>   add 'conform to expectation' gv link
>
[herrold@centos-4 SPECS]$     



Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rex Dieter 2005-04-26 15:06:18 UTC
I seriously doubt this patch would ever be accepted (and I have personal
reservations about gsview falsely masquerading as gv).

It would be more appropriate to raised the issue on the fedora-devel mailing list.


Note You need to log in before you can comment on or make changes to this bug.